<?php

namespace Kahanit\TableRateShipping\Api\Quote;

/**
 * Shipping method management interface for guest carts.
 * @api
 */
interface GuestShippingMethodManagementInterface extends \Magento\Quote\Api\GuestShippingMethodManagementInterface
{
    /**
     * Estimate shipping
     *
     * @param string $cartId The shopping cart ID.
     * @param \Kahanit\TableRateShipping\Api\Quote\Data\EstimateAddressInterface $address The estimate address
     * @return \Magento\Quote\Api\Data\ShippingMethodInterface[] An array of shipping methods.
     */
    public function estimateRatesByAddress($cartId, \Kahanit\TableRateShipping\Api\Quote\Data\EstimateAddressInterface $address);
}
