<?php

namespace Kahanit\TableRateShipping\Setup;

// inheritance
use Magento\Framework\Setup\UninstallInterface;
// other
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;

class Uninstall implements UninstallInterface
{
    public function uninstall(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $uninstaller = $setup;
        $uninstaller->startSetup();

        $uninstaller->getConnection()->dropTable($uninstaller->getTable('carrier_table_rate'));
        $uninstaller->getConnection()->dropTable($uninstaller->getTable('carrier_table_rate_method'));
        $uninstaller->getConnection()->dropTable($uninstaller->getTable('carrier_table_rate_product'));
        $uninstaller->getConnection()->dropTable($uninstaller->getTable('carrier_table_rate_zone'));

        $uninstaller->endSetup();
    }
}
