define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/shipping-rates-validator',
        'Magento_Checkout/js/model/shipping-rates-validation-rules',
        'Kahanit_TableRateShipping/js/model/shipping-rates-validator',
        'Kahanit_TableRateShipping/js/model/shipping-rates-validation-rules'
    ],
    function (Component,
              defaultShippingRatesValidator,
              defaultShippingRatesValidationRules,
              tablerateshippingShippingRatesValidator,
              tablerateshippingShippingRatesValidationRules) {
        'use strict';

        defaultShippingRatesValidator.registerValidator('tablerateshipping', tablerateshippingShippingRatesValidator);
        defaultShippingRatesValidationRules.registerRules('tablerateshipping', tablerateshippingShippingRatesValidationRules);

        return Component;
    }
);
